Name:           purple-facebookchat
Version:        1.64
Release:        1%{?dist}
Summary:        Libpurple plug-in supporting facebook IM
Group:          Applications/Internet
License:        GPLv3+
URL:            http://code.google.com/p/pidgin-facebookchat/
Source0:        http://pidgin-facebookchat.googlecode.com/files/pidgin-facebookchat-source-%{version}.tar.bz2
Source3:        %{name}-Makefile
Provides:       pidgin-facebookchat = %{version}-%{release} 
Obsoletes:      pidgin-facebookchat < 1.35-3
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libpurple-devel >= 2.5.8

BuildRequires:  json-glib-devel
#BuildRequires:  zlib-devel
ExcludeArch:    s390x

%description
This is a Facebook chat plugin for Pidgin and libpurple
messengers. It connects to the new Facebook Chat IM service
without the need for an API key.

Currently the plugin can log into the Facebook servers, grab the
buddy list, send/receive messages, add/remove friends, receive
notifications, search for Facebook friends and set your Facebook
status.

%prep
%setup -q -n pidgin-facebookchat
# Upstream Makefile is totally horrible, use our own instead.
mv Makefile Makefile.orig
install -p %{SOURCE3} Makefile

%build

export CFLAGS="$RPM_OPT_FLAGS"
make LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/purple-2/libfacebook.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/facebook.png

%changelog
* Tue Dec 8 2009 Ismael Olea <ismael@olea.org> 1.64-1
- updating to 1.64

* Mon Nov 16 2009 Ismael Olea <ismael@olea.org> 1.63-1
- updating to 1.63

* Fri Nov 6 2009 Ismael Olea <ismael@olea.org> 1.62-1
- updating to 1.62

* Sat Sep 12 2009 Ismael Olea <ismael@olea.org> 1.61-1
- updating to 1.61

* Tue Jul 23 2009 Ismael Olea <ismael@olea.org> 1.60-1
- updating to 1.60
- adding new sourcecode files to makefile

* Tue Jul 7 2009 Ismael Olea <ismael@olea.org> 1.54-1
- updating to 1.54

* Sat Jun 13 2009 Ismael Olea <ismael@olea.org> 1.51-1
- updating to 1.51

* Mon Apr 13 2009 Ismael Olea <ismael@olea.org> 1.50-1
- updating to 1.50

* Wed Dec 31 2008 Ismael Olea <ismael@olea.org> 1.47-1
- updating to 1.47

* Mon Dec 29 2008 Ismael Olea <ismael@olea.org> 1.46-1
- updating to 1.46

* Fri Dec 26 2008 Ismael Olea <ismael@olea.org> 1.45-1
- removing strip command (#477902)
- updating to 1.45

* Tue Dec 16 2008 Ismael Olea <ismael@olea.org> 1.44-2
- fixing Makefile: the  NO_ZLIB flag is needed.
- fixing Makefile: adding source files

* Wed Oct 29 2008 Matěj Cepl <mcepl@redhat.com> 1.38-1
- New upstream release
- My patch was finally accepted upstream -- removing it here.

* Thu Oct 23 2008 Matěj Cepl <mcepl@redhat.com> 1.37-1
- Upstream release.

* Sun Sep 28 2008 Matěj Cepl <mcepl@redhat.com> - 1.35-5
- Bump release to eliminate pidgin-facebookchat duplicate
  package.

* Wed Sep 24 2008 Matej Cepl <mcepl@redhat.com> 1.35-4
- Makefile is not compressed anymore and it shouldn't create
  source tarball anymore in all target.

* Tue Sep 23 2008 Matej Cepl <mcepl@redhat.com> 1.35-3
- Some changes from Dan Horák

* Mon Sep 22 2008 Matěj Cepl <mcepl@redhat.com> 1.35-1
- Initial build.
